Support » Plugin: Toolset Types - Custom Post Types, Custom Fields and Taxonomies » ERROR /types/vendor/otgs/installer/includes/class-wp-installer.php on line 308

  • Resolved wsouzaa

    (@wsouzaa)



    I’ve updated the Toolset Types 2.3.1 plugin but I’m getting the following errors on the plugin page:

    Warning: Invalid argument supplied for foreach() in /home/xxx/public_html/wp-content/plugins/types/vendor/otgs/installer/includes/class-wp-installer.php on line 308

    Warning: Cannot modify header information – headers already sent by (output started at /home/xxx/public_html/wp-content/plugins/types/vendor/otgs/installer/includes/class-wp-installer.php:308) in /home/viole679/public_html/wp-admin/includes/misc.php on line 1116

    Warning: Invalid argument supplied for foreach() in /home/xxx/public_html/wp-content/plugins/types/vendor/otgs/installer/includes/class-wp-installer.php on line 2336

    The page I need help with: [log in to see the link]

Viewing 12 replies - 1 through 12 (of 12 total)
  • Plugin Support Beda

    (@bedas)

    Hi, can I ask you from what Types version exactly you updated from?

    Is it either 1.7 or this one:
    https://wordpress.org/support/topic/installer-class-error-for-types-complete-solution-for-custom-fields-and-types/#post-10377720

    Thanks

    Hi Beda, thanks for the quick contact.

    The version I updated was 1.8.8, should I follow the instructions in the link above?

    Plugin Support Beda

    (@bedas)

    I’m trying to follow the steps but I can not register Toolset this is for the paid version and I’m upgrading to the free version of WP.org https://wordpress.org/plugins/types/

    Plugin Support Beda

    (@bedas)

    You can do it manually – it will be the same results, and they are not a solution, they are the steps to replicate this issue.

    The solution is not yet available, as this requires Coding by our developers.

    For now, to hide the errors, disabling WP Debug is the only way to go unfortunately.

    I have reported the issue to the developers and they’ll look into this.

    I posted those steps there, because this error is very old, and it was never possible to safely replicate it.
    Now I was able to, with those steps, and that is why I posted them in order to keep track of it in public.

    Otherwise we end up with just error reports and future users may be thankful to see as well the steps needed to produce the error so to be sure they (eventually) experience the same.

    The solution will be shipped in a future update to Types 🙂

    Hello Beda, I appreciate the clarifications, but today when I logged back on my site I do not receive the error anymore, and I did not make any code changes, I will reply here to this report to other users.

    Plugin Support Beda

    (@bedas)

    That is interesting.

    Let me know if you see the errors again, I will update you here once our developers confirmed a solution

    Now it’s all right here

    Plugin Support Beda

    (@bedas)

    OK, then I will close this here as solved.

    Other users experiencing this, I suggest to open a new thread.

    exquisitor

    (@exquisitor)

    I’m have a same issue while installing this plugin
    Fatal error: Uncaught Error: Call to undefined function simplexml_load_file() in /data/www/essaytopwriters.com/wp-content/plugins/types/vendor/otgs/installer/includes/class-wp-installer.php:762 Stack trace: #0 /data/www/essaytopwriters.com/wp-content/plugins/types/vendor/otgs/installer/includes/class-wp-installer.php(70): WP_Installer->load_repositories_list() #1 /data/www/essaytopwriters.com/wp-content/plugins/types/vendor/otgs/installer/includes/class-wp-installer.php(40): WP_Installer->__construct() #2 /data/www/essaytopwriters.com/wp-content/plugins/types/vendor/otgs/installer/includes/functions-core.php(3): WP_Installer::instance() #3 /data/www/essaytopwriters.com/wp-content/plugins/types/vendor/otgs/installer/installer.php(16): WP_Installer() #4 /data/www/essaytopwriters.com/wp-content/plugins/types/vendor/otgs/installer/loader.php(123): include_once(‘/var/ in /data/www/essaytopwriters.com/wp-content/plugins/types/vendor/otgs/installer/includes/class-wp-installer.php on line 762

    Host with PHP7

    Plugin Support Beda

    (@bedas)

    @exquisitor, none of those issues are related to this thread.

    Please update (if not yet) and open your own thread if the issue of _this thread_ is persisting (but it should not in the updated versions).

    The issue you report, please as well add a new ticket, if related to Types.

    • This reply was modified 4 months ago by  Beda.
    rgenck

    (@rgenck)

    I came across this problem as well, it was a server configuration issue.

    To correct, my server manager installed PHP-xml. PHP-xml needs to be configured to the same php version your site is running on, the exact same version. When we first installed it it was running on PHP 7.0, but the site was on 7.1. Now it seems to be running well, hope this helps someone!

Viewing 12 replies - 1 through 12 (of 12 total)
  • You must be logged in to reply to this topic.